cl_compat.h File Reference
Cl

Handle OpenCL 1.1 <> 1.2 fallback and the related uglyness. More...

`#include "cl_platform.h"`
`#include "gl_platform.h"`
Include dependency graph for cl_compat.h:

Go to the source code of this file.

## Classes

struct | _cl_image_desc
#define | CL_DEVICE_COMPUTE_CAPABILITY_MAJOR_NV 0x4000
#define | CL_DEVICE_COMPUTE_CAPABILITY_MINOR_NV 0x4001
typedef struct _cl_image_desc | cl_image_desc
cl_mem CL_API_CALL | clCreateFromGLTexture (cl_context context, cl_mem_flags flags, GLenum texture_target, GLint miplevel, GLuint texture, cl_int *errcode_ret)
cl_mem CL_API_CALL | clCreateImage (cl_context context, cl_mem_flags flags, const cl_image_format *image_format, const cl_image_desc *image_desc, void *host_ptr, cl_int *errcode_ret)
cl_int CL_API_CALL | clEnqueueFillBuffer (cl_command_queue command_queue, cl_mem buffer, const void *pattern, size_t pattern_size, size_t offset, size_t size, cl_uint num_events_in_wait_list, const cl_event *event_wait_list, cl_event *event)
cl_int CL_API_CALL | clEnqueueFillImage (cl_command_queue command_queue, cl_mem image, const void *fill_color, const size_t *origin, const size_t *region, cl_uint num_events_in_wait_list, const cl_event *event_wait_list, cl_event *event)
void | cl_compat_init (void)
void | cl_compat_check_platform (cl_platform_id pl_id)

## Detailed Description

Handle OpenCL 1.1 <> 1.2 fallback and the related uglyness.

## Macro Definition Documentation

## CL_DEVICE_COMPUTE_CAPABILITY_MAJOR_NV

#define CL_DEVICE_COMPUTE_CAPABILITY_MAJOR_NV 0x4000

## CL_DEVICE_COMPUTE_CAPABILITY_MINOR_NV

#define CL_DEVICE_COMPUTE_CAPABILITY_MINOR_NV 0x4001

## Typedef Documentation

## cl_image_desc

typedef struct _cl_image_desc cl_image_desc

## Function Documentation

## cl_compat_check_platform()

void cl_compat_check_platform | ( | cl_platform_id | pl_id | ) |

## cl_compat_init()

void cl_compat_init | ( | void |  | ) |

## clCreateFromGLTexture()

cl_mem CL_API_CALL clCreateFromGLTexture | ( | cl_context | context,
|  | cl_mem_flags | flags,
|  | GLenum | texture_target,
|  | GLint | miplevel,
|  | GLuint | texture,
|  | cl_int * | errcode_ret )

## clCreateImage()

cl_mem CL_API_CALL clCreateImage | ( | cl_context | context,
|  | cl_mem_flags | flags,
|  | const cl_image_format * | image_format,
|  | const cl_image_desc * | image_desc,
|  | void * | host_ptr,
|  | cl_int * | errcode_ret )

## clEnqueueFillBuffer()

cl_int CL_API_CALL clEnqueueFillBuffer | ( | cl_command_queue | command_queue,
|  | cl_mem | buffer,
|  | const void * | pattern,
|  | size_t | pattern_size,
|  | size_t | offset,
|  | size_t | size,
|  | cl_uint | num_events_in_wait_list,
|  | const cl_event * | event_wait_list,
|  | cl_event * | event )

## clEnqueueFillImage()

cl_int CL_API_CALL clEnqueueFillImage | ( | cl_command_queue | command_queue,
|  | cl_mem | image,
|  | const void * | fill_color,
|  | const size_t * | origin,
|  | const size_t * | region,
|  | cl_uint | num_events_in_wait_list,
|  | const cl_event * | event_wait_list,
|  | cl_event * | event )